# Issue a check

**POST** `/transfers/checks/issue`

Issue a check to a specific payee for a given amount. If `mail_check_request` is included, the check will be delivered by Column too.

### Body Parameters

- `account_number_id` `string` — Optional. If omitted, defaults to the default account number ID for the provided bank account. Exactly one of `bank_account_id` or `account_number_id` must be provided.
- `allow_overdraft` `boolean` _(required)_ — Allow the account to go negative for the transfer.
- `bank_account_id` `string` — bank account ID to debit funds from. Exactly one of `bank_account_id` or `account_number_id` must be provided.
- `currency_code` `string` _(required)_ — The three-letter currency code defined in ISO 4217. e.g. `USD`.
- `customized_check_number` `number` — Custom check number to use instead of the auto-generated one.
- `description` `string` _(required)_ — A description of the check transfer.
- `mail_check_request` `object` — Request details for mailing the check to a recipient address.
  - `attachment_document_id` `string` _(required)_ — ID of a document to include as an attachment with the mailed check.
  - `courtesy_of` `string` _(required)_ — Name of the person or organization sending the check on behalf of the payor.
  - `delivery_method` `string` — Delivery method for the check. Possible values: `usps_first_class`, `usps_priority`, `ups_next_day`
  - `memo` `string` _(required)_ — Memo line text to print on the check.
  - `message` `string` _(required)_ — Message to the payee
  - `payee_address` `object` _(required)_ — The mailing address of the payee where the check will be sent.
    - `city` `string` _(required)_ — City name
    - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
    - `line_1` `string` _(required)_ — Street address line 1
    - `line_2` `string` — Street address line 2
    - `postal_code` `string` — Postal or ZIP code
    - `state` `string` — State or province
  - `payee_company` `string` _(required)_ — Company name of the payee, if applicable.
  - `payor_address` `object` _(required)_ — The return address of the payor to print on the check envelope.
    - `city` `string` _(required)_ — City name
    - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
    - `line_1` `string` _(required)_ — Street address line 1
    - `line_2` `string` — Street address line 2
    - `postal_code` `string` — Postal or ZIP code
    - `state` `string` — State or province
  - `payor_name` `string` _(required)_ — Name of the payor to print on the check.
  - `signatory` `string` _(required)_ — Name of the signatory to print on the check.
- `payee_name` `string` _(required)_ — Name of the person or entity the check is payable to.
- `positive_pay_amount` `integer` _(required)_ — Optional. If provided, Column will perform positive-pay validation.
- `void_date` `string` — Date the check is automatically voided. Must be a future date. Interpreted as Pacific Time.

**Request**

```shell
curl 'https://api.column.com/transfers/checks/issue' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d bank_account_id="<bank_account_id>" \
  -d positive_pay_amount=100000 \
  -d currency_code="USD" \
  -d payee_name="Oliver Hockey"
```

**Response 200**

```json
{
  "account_number_id": "acno_2Nc1pSb55eCJ7YxQnzCVis9OXrv",
  "back_image": null,
  "bank_account_id": "bacc_2Nc1pNdlOtyKM0SzfemCyHsWUn5",
  "check_number": 1003,
  "created_at": "2023-06-16T18:09:00.61936799Z",
  "currency_code": "USD",
  "delivered_by_column": false,
  "delivery_method": null,
  "delivery_status": null,
  "delivery_tracking_number": null,
  "delivery_tracking_url": null,
  "deposited_amount": null,
  "deposited_at": null,
  "description": null,
  "external_routing_number": null,
  "first_return_at": null,
  "front_image": null,
  "id": "chkt_2RIYDHnZCWKEYyU12qhTpjsVmzy",
  "idempotency_key": null,
  "is_preview_pdf_available": false,
  "issued_at": "2023-06-16T18:09:00.653492083Z",
  "manual_review_at": null,
  "memo": null,
  "message": null,
  "micr_line": {
    "amount_field": "100000",
    "auxiliary_on_us": "1003",
    "external_processing_code": "",
    "on_us": "199175569013840",
    "payor_bank_routing_number": "121145307"
  },
  "payee_address": null,
  "payee_name": "Oliver Hockey",
  "pending_deposit_at": null,
  "pending_first_return_at": null,
  "pending_stop_at": null,
  "pending_user_initiated_return_at": null,
  "positive_pay_amount": "100000",
  "reclear_at": null,
  "rejected_at": null,
  "second_return_at": null,
  "settled_at": null,
  "status": "issued",
  "stopped_at": null,
  "type": "debit",
  "updated_at": "2023-06-16T18:09:00.654Z",
  "user_initiated_return_submitted_at": null,
  "user_initiated_returned_at": null,
  "user_initiated_return_dishonored_at": null
}
```
